## ros-melodic-ros1-ign-point-cloud 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros1_ign_point_cloud)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs)

find_package(ignition-gazebo2 2.1 QUIET REQUIRED)
set(IGN_GAZEBO_VER ${ignition-gazebo2_VERSION_MAJOR})

find_package(ignition-rendering2 QUIET REQUIRED)
set(IGN_RENDERING_VER ${ignition-rendering2_VERSION_MAJOR})

find_package(ignition-sensors2 QUIET REQUIRED)
set(IGN_SENSORS_VER ${ignition-sensors2_VERSION_MAJOR})

catkin_package()

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

set(plugin_name Ros1IgnPointCloud)
add_library(${plugin_name} SHARED
  src/point_cloud.cc
)
target_link_libraries(${plugin_name}
  ignition-gazebo${IGN_GAZEBO_VER}::core
  ignition-rendering${IGN_RENDERING_VER}::core
  ignition-sensors${IGN_SENSORS_VER}::core
  ${catkin_LIBRARIES}
)
install(TARGETS ${plugin_name}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(
  DIRECTORY
    examples/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/examples
)

=== debian/changelog ===
ros-melodic-ros1-ign-point-cloud (0.7.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.6.3-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.6.2-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.6.1-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.6.0-1stretch) stretch; urgency=high

  * 0.5.0
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.4.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.3.1-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 01 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.3.0-1stretch) stretch; urgency=high

  * 0.2.0
  * Merge pull request #21 <https://github.com/osrf/ros1_ign_bridge/issues/21> from osrf/lidar
    Point clouds from lidars
  * fix RGBD's color
  * final tweaks
  * PC2 for gpu_lidar, 1 vertical sample
  * Start of lidar PC
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Point clouds for RGBD cameras (#17 <https://github.com/osrf/ros1_ign_bridge/issues/17>)
    * Beginning of point cloud package
    * Populating image data, but result is not correct. Must find out where's the source of the problem.
    * RGB -> BGR: why?
    * Cleanup code and example
    * pointcloud -> point_cloud
    * add keys - how was this working before?
    * install wget
    * well, we need ign-gz2 :sweat_smile:
    * README update
    * PR feedback
    * .travis/build: rosdep skip ignition keys (#18 <https://github.com/osrf/ros1_ign_bridge/issues/18>)
    * .travis/build: rosdep skip ignition keys
    * Update build
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Jun 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.2.2-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.2.1-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sat, 11 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.2.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-point-cloud (0.1.0-1stretch) stretch; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros1-ign-point-cloud
Section: misc
Priority: extra
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo2-dev, libignition-rendering2-dev, libignition-sensors2-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros1-ign-point-cloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo2-dev, libignition-rendering2-dev, libignition-sensors2-dev, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: Point cloud utilities for Ignition simulation with ROS 1.
